Bug 6347 - [metabug] N900 Hardware key: Zoom vs. Volume inconsistencies
: [metabug] N900 Hardware key: Zoom vs. Volume inconsistencies
Status: RESOLVED WONTFIX
Product: UI Specification
General
: 5.0/(3.2010.02-8)
: All Linux
: Low enhancement with 8 votes (vote)
: ---
Assigned To: Mikko Nurmi
: ui-specification-bugs
:
:
: int-204268 int-134194 int-150437 6370 int-153087 int-149919 6820 7342 8196
:
  Show dependency tree
 
Reported: 2009-11-26 20:09 UTC by Andre Klapper
Modified: 2012-03-24 11:42 UTC (History)
7 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Andre Klapper (reporter) maemo.org 2009-11-26 20:09:50 UTC
Metabug for issues about the N900 hardware key that is both used for zooming
and changing the volume. This triggers confusion.
See dependency list.
Comment 1 Jeff Moe 2009-12-01 22:37:12 UTC
Should also "depends on" bug #5624 but I don't have perms to do that.
Comment 2 Andre Klapper (reporter) maemo.org 2009-12-08 16:43:13 UTC
(In reply to comment #1)
> Should also "depends on" bug #5624 but I don't have perms to do that.

Unrelated as there is no conflict between sound volume and zoom at all.
Comment 3 leek 2009-12-12 22:25:41 UTC
I think all hardware buttons and keys should be able to be mapped to arbitrary
events via a rule list.

Each rule would consist of an event, such as a keypress, long keypress, or
double-tap, plus an optionally negated condition, such as whether a certain
application is currently focused, whether USB is plugged in, whether phone is
in use, etc., and if the condition is met when the event occurs, a specified
action takes place, like volume up or down, zoom in or out, switch to task
manager, go to next or previous window, switch to a certain standard
application like mail (launching it if necessary), input a certain keycode,
jump to another rule in the list, hang up, etc. The first rule which matches
would win, and people with all kinds of preferences could customize the rules
to fit their preferences, and make them as general or application-specific as
they wanted. In the absence of these rules, there would be default behaviors
similar to today's.

It would solve most of the bugs listed in this metabug, as well as many
keyboard complaints.

It could even potentially solve my bug 6689, by making keyboard tray
opening/closing just another event, and device wakeup/sleep just another
action, all user-configurable.

But this probably belongs in brainstorm. I'll consider proposing it there.
Comment 4 Jeremy Gillespie 2010-01-02 01:45:51 UTC
Consistent zooming across core applications would be good, the spiral gestures
in the browser should apply across all applications which implement zooming
such as the image viewer.
Comment 5 Otto Kekäläinen 2010-01-18 12:30:08 UTC
Jeremy Gillespie: you should file bugs on every application that does not make
use of the spiral gesture, since it's unlikely that all developers read this
bug report and comment. Anyway, discussions are for brainstorms - in bug
reports there should only be on specific problem per report. I now did a bug
report for the image viewer (#8196).

(somebody with permission should add #8196 to the list of dependencies of this
bug)
Comment 6 Andre Klapper (reporter) maemo.org 2010-02-17 21:01:43 UTC
Internal comment:

Internally common agreement was not reached, hence systemwide speaking it
remains as it is. Applications are free to provide an app specific setting.
Comment 7 mafonso 2010-02-18 02:31:09 UTC
At least native Nokia native apps should set an example and only one function
should be mapped to the "zoom keys".

Using the zoom key withing camera app, also changes volume. This does not seem
right at all.
Comment 8 Andre Klapper (reporter) maemo.org 2012-03-24 11:42:25 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )